LOWDOWN_NROFF_RNDR(3)

NAME
lowdown_nroff_rndr - render Markdown into roff

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
void
lowdown_nroff_rndr(hbuf *out, void *arg, struct lowdown_node *root);

DESCRIPTION
The lowdown_nroff_rndr function renders a node tree root using the roff renderer out created by lowdown_nroff_new(3) into the output buffer out.

SEE ALSO
lowdown(3)

CAVEATS
The contents of root may be changed, but not in a way that will change the output with multiple passes at rendering.